
CoCoALib - Slug #329

Why is DMPI slower than DMPClean?
Status: New Start date: 12 Mar 2013

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Improving Estimated time: 0.00 hour

Target version: CoCoALib-1.0 Spent time: 0.00 hour

Description

Try the following program; and then again but making P a NewPolyRing_DMPI.

The times I get are: clean=20s, DMPI=25s.  There must be something wrong.

  const long N = 10000000;

  const long nvars = 12;

  cout << ShortDescription << endl;

  ring Q = RingQQ();

  SparsePolyRing P = NewPolyRing(Q, nvars);

  clog << "P = " << P << endl;

  double StartTime = CpuTime();

  vector<RingElem> v; v.reserve(N);

  RandomSeqBigInt rnd(-power(2,130),power(2,130));

  RandomSeqLong RndExp(0,100);

  vector<long> expv(nvars);

  for (long i=0; i < N; ++i)

  {

    RingElem coeff = RingElem(Q, BigRat(NextValue(rnd),NextValue(rnd)));

    for (long j=0; j < nvars; ++j)

      expv[j] = NextValue(RndExp);

    v.push_back(monomial(P, coeff, expv));

  }

  clog << "vector filled after time " << CpuTime()-StartTime << "\n";

Related issues:

Related to CoCoALib - Bug #680: DistrMPolyClean does not use MemPool for summ... Resolved 13 Apr 2015

History

#1 - 01 Apr 2014 17:42 - Anna Maria Bigatti

- Target version set to CoCoALib-0.99533 Easter14

#2 - 04 Apr 2014 17:11 - John Abbott

- Target version changed from CoCoALib-0.99533 Easter14 to CoCoALib-1.0

#3 - 13 May 2015 09:54 - Redmine Admin

- Category set to Improving
